/*   
     system:        CalSAWS Conversion
     procedure:     AlterVACSWorkers.sql
     written by:    Craig Deane
     date written:  10/21/2021 Version 2.0.1
     database:      welcoll
     function:      Changes the primary key on the VACSWorkers table to only include the VACSWorker column
 */

use welcoll
go

ALTER TABLE dbo.VACSWorkers
Alter Column VACSWorker char(4) NOT NULL
go


DECLARE @table NVARCHAR(512), @sql NVARCHAR(MAX);

SELECT @table = N'VACSWorkers';

SELECT @sql = 'ALTER TABLE ' + @table 
    + ' DROP CONSTRAINT ' + name + ';'
    FROM sys.key_constraints
    WHERE [type] = 'PK'
    AND [parent_object_id] = OBJECT_ID(@table);

EXEC sp_executeSQL @sql;


ALTER TABLE VACSWorkers
ADD CONSTRAINT PK_VACSWorker PRIMARY KEY (VACSWorker)










