
/* CalSAWS RecoveryAccountResponsibleParty with invalid SSN */
select *
from RecoveryAccountResponsibleParty
where IsNull(ResponsiblePartySSN, '') not like ('[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9]') 
	order by ResponsiblePartySSN, LegacyAccountNumberIdentifier


/* VACS Debtor 1 with invalid SSN that will be in the extract */
select *
from debtor, debt, DebtList
where debtor.debtor_id = debt.debtor_id and
debt.debt_number =  DebtList.debt_number and
IsNull(debtor1_ssn, '') not like ('[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9]')
order by debtor1_ssn


/* VACS Debtor 2 with invalid SSN that will be in the extract */
select *
from debtor, debt, DebtList
where debtor.debtor_id = debt.debtor_id and
debt.debt_number =  DebtList.debt_number and
IsNull(debtor2_ssn, '') not like ('[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9]') and
	(IsNull(debtor2_name_last, '') <> '' or IsNull(debtor2_name_first, '') <> '')
order by debtor2_ssn


/* All VACS Debtor 1 with invalid SSN */
select *
from debtor
where IsNull(debtor1_ssn, '') not like ('[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9]') 
order by debtor1_ssn


/* All VACS Debtor 2 with invalid SSN */
select *
from debtor
where IsNull(debtor2_ssn, '') not like ('[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9]') and
	(IsNull(debtor2_name_last, '') <> '' or IsNull(debtor2_name_first, '') <> '')
order by debtor2_ssn
