
/* CalSAWS RecoveryAccountResponsibleParty with bad zip code*/
select *
from RecoveryAccountResponsibleParty
where IsNull(PhysicalAddressZipCode, '') not like ('[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9]') and
	IsNull(PhysicalAddressZipCode, '') not like ('[0-9][0-9][0-9][0-9][0-9]-[0-9][0-9][0-9][0-9]') and
	IsNull(PhysicalAddressZipCode, '') not like ('[0-9][0-9][0-9][0-9][0-9]')
	order by PhysicalAddressZipCode, LegacyAccountNumberIdentifier


/* CalSAWS RecoveryAccountProviders with bad zip code*/
select *
from RecoveryAccountProviders
where IsNull(PhysicalAddressZipCode, '') not like ('[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9]') and
	IsNull(PhysicalAddressZipCode, '') not like ('[0-9][0-9][0-9][0-9][0-9]-[0-9][0-9][0-9][0-9]') and
	IsNull(PhysicalAddressZipCode, '') not like ('[0-9][0-9][0-9][0-9][0-9]')
	order by PhysicalAddressZipCode, LegacyAccountNumberIdentifier


/* VACS Debtor 1 with bad zip code that will be in the extract */
select *
from debtor, debt, DebtList
where debtor.debtor_id = debt.debtor_id and
debt.debt_number =  DebtList.debt_number and
	debtor1_zip not like ('[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9]') and
	debtor1_zip not like ('[0-9][0-9][0-9][0-9][0-9]-[0-9][0-9][0-9][0-9]') and
	debtor1_zip not like ('[0-9][0-9][0-9][0-9][0-9]')


/* VACS Debtor 2 with bad zip code that will be in the extract */
select *
from debtor, debt, DebtList
where debtor.debtor_id = debt.debtor_id and
debt.debt_number =  DebtList.debt_number and
	debtor2_zip not like ('[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9]') and
	debtor2_zip not like ('[0-9][0-9][0-9][0-9][0-9]-[0-9][0-9][0-9][0-9]') and
	debtor2_zip not like ('[0-9][0-9][0-9][0-9][0-9]') and
	(IsNull(debtor2_name_last, '') <> '' or
	IsNull(debtor2_name_first, '') <> '') and
	IsNull(debtor2_street_address, '') <> ''


/* All VACS Debtor 1 with bad zip code */
select *
from debtor
where 	debtor1_zip not like ('[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9]') and
		debtor1_zip not like ('[0-9][0-9][0-9][0-9][0-9]-[0-9][0-9][0-9][0-9]') and
	debtor1_zip not like ('[0-9][0-9][0-9][0-9][0-9]')


/* All VACS Debtor 2 with bad zip code */
select *
from debtor
where 	debtor2_zip not like ('[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9]') and
	 debtor2_zip not like ('[0-9][0-9][0-9][0-9][0-9]-[0-9][0-9][0-9][0-9]') and
	debtor2_zip not like ('[0-9][0-9][0-9][0-9][0-9]') and
	(IsNull(debtor2_name_last, '') <> '' or
	IsNull(debtor2_name_first, '') <> '') and
	IsNull(debtor2_street_address, '') <> ''