/* CalSAWS accounts where the Overpayment minus the transactions does not equal the Account balance */
select RecoveryAccount.LegacyAccountNumberIdentifier, 
CaseNumber,
OverpaymentAmount,
"Total Transactions" = (select sum(TransactionAmount)
	from RecoveryAccountTransaction
	where LegacyAccountNumberIdentifier = RecoveryAccountOverpayment.LegacyAccountNumberIdentifier),
"Calculated Balance" = OverpaymentAmount -
(select sum(TransactionAmount)
	from RecoveryAccountTransaction
	where LegacyAccountNumberIdentifier = RecoveryAccountOverpayment.LegacyAccountNumberIdentifier),
"Debt Balance" = CurrentBalance
from RecoveryAccount, RecoveryAccountOverpayment
where RecoveryAccount.LegacyAccountNumberIdentifier = RecoveryAccountOverpayment.LegacyAccountNumberIdentifier and
OverpaymentAmount -
(select sum(TransactionAmount)
	from RecoveryAccountTransaction
	where LegacyAccountNumberIdentifier = RecoveryAccountOverpayment.LegacyAccountNumberIdentifier) != 
	CurrentBalance


/* VACS overpayments and transactions not equal to the balance amount that will be in the extract*/
select debt.debt_number, 
serial_number,
"Overpayment Amount" = (select sum(financial_detail.amount)
	from financial_detail, transaction_control
	where financial_detail.transaction_number = transaction_control.transaction_number and
		charge_code = 'DEB' and
		transaction_code = 'OVP' and
		debt.debt_number = financial_detail.debt_number),
"Total Transactions" = (select sum(financial_detail.amount)
	from financial_detail, transaction_control
	where financial_detail.transaction_number = transaction_control.transaction_number and
		charge_code = 'DEB' and
		transaction_code <> 'OVP' and
		debt.debt_number = financial_detail.debt_number),
	balance_amount,
"Calculated Balance" = (select sum(financial_detail.amount)
			from financial_detail
			where debt.debt_number = financial_detail.debt_number and
				financial_detail.charge_code = 'DEB')
from debt, DebtList
where debt.debt_number = DebtList.debt_number and
	(select sum(financial_detail.amount)
	from financial_detail, transaction_control
	where financial_detail.transaction_number = transaction_control.transaction_number and
		charge_code = 'DEB' and
		transaction_code = 'OVP' and
		debt.debt_number = financial_detail.debt_number) + 
		(select sum(financial_detail.amount)
	from financial_detail, transaction_control
	where financial_detail.transaction_number = transaction_control.transaction_number and
		charge_code = 'DEB' and
		transaction_code <> 'OVP' and
		debt.debt_number = financial_detail.debt_number) <> balance_amount



/* All VACS overpayments and transactions not equal to the balance amount */
select debt_number, 
serial_number,
"Overpayment Amount" = (select sum(financial_detail.amount)
	from financial_detail, transaction_control
	where financial_detail.transaction_number = transaction_control.transaction_number and
		charge_code = 'DEB' and
		transaction_code = 'OVP' and
		debt.debt_number = financial_detail.debt_number),
"Total Transactions" = (select sum(financial_detail.amount)
	from financial_detail, transaction_control
	where financial_detail.transaction_number = transaction_control.transaction_number and
		charge_code = 'DEB' and
		transaction_code <> 'OVP' and
		debt.debt_number = financial_detail.debt_number),
	balance_amount,
"Calculated Balance" = (select sum(financial_detail.amount)
			from financial_detail
			where debt.debt_number = financial_detail.debt_number and
				financial_detail.charge_code = 'DEB')
from debt
where (select sum(financial_detail.amount)
	from financial_detail, transaction_control
	where financial_detail.transaction_number = transaction_control.transaction_number and
		charge_code = 'DEB' and
		transaction_code = 'OVP' and
		debt.debt_number = financial_detail.debt_number) + 
		(select sum(financial_detail.amount)
	from financial_detail, transaction_control
	where financial_detail.transaction_number = transaction_control.transaction_number and
		charge_code = 'DEB' and
		transaction_code <> 'OVP' and
		debt.debt_number = financial_detail.debt_number) <> balance_amount


